<?php
echo "<link href='https://fonts.googleapis.com/css?family=Roboto+Condensed' rel='stylesheet' type='text/css'>
<style>body { font-family: 'Shadows Into Light', cursive; }</style>
<body BGCOLOR='black'><center>
<h1><b><font color='white' size='20px'>Tukang Nikung Detector</b></font></h1>";
function cek_email($file){
$cat = file_get_contents($file);
$cok=preg_match_all("/[a-zA-Z0-9]+@(.*?).(\.[a-z]{2,3})/", $cat, $m)?$m:null;
return $cok;
}

function buka_dir($getcwd){
$a = scandir($getcwd);
foreach($a as $aa){
if($aa != "." && $aa != ".."){
if(is_dir($getcwd."/".$aa)){
$dir_baru = "$getcwd/$aa";
buka_dir($dir_baru);

}else{
$cek = cek_email("$getcwd/$aa");
//print_r($cek);
if($cek!=null){
foreach($cek[0] as $cek2){
echo "<font color='white'>$getcwd/$aa</font> <font color='red'>:</font> <font color='yellow'>$cek2\n</font><br>";
}
}

}
}
}

}

$cwd = getcwd();
buka_dir($cwd);
?>